[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# assign(Tmatrix2_extended):Tmatrix4_extended

Allow assignment of two-dimensional extended precision matrix to four-dimensional extended precision matrix

## Declaration

Source position: matrix.pp line 474

`operator operator :=(`
`const v: Tmatrix2_extended`
`):Tmatrix4_extended;`

## Description

This operator allows you to use a two-dimensional matrix with single precision values wherever a four-dimensional matrix with single precision is expected. The extra fields are set to 0.